# DataExchange
TKVRML
Vrml

# Vrml_Transform Class Reference

defines a Transform of VRML specifying transform
properties.
This node defines a geometric 3D transformation consisting of (in order)
a (possibly) non-uniform scale about an arbitrary point, a rotation about
an arbitrary point and axis and translation.
By default :
myTranslation (0,0,0)
myRotation (0,0,1,0)
myScaleFactor (1,1,1)
myScaleOrientation (0,0,1,0)
myCenter (0,0,0)

`#include <Vrml_Transform.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Transform ()
Standard_EXPORT | Vrml_Transform (const gp_Vec &aTranslation, const Vrml_SFRotation &aRotation, const gp_Vec &aScaleFactor, const Vrml_SFRotation &aScaleOrientation, const gp_Vec &aCenter)
Standard_EXPORT void | SetTranslation (const gp_Vec &aTranslation)
Standard_EXPORT gp_Vec | Translation () const
Standard_EXPORT void | SetRotation (const Vrml_SFRotation &aRotation)
Standard_EXPORT Vrml_SFRotation | Rotation () const
Standard_EXPORT void | SetScaleFactor (const gp_Vec &aScaleFactor)
Standard_EXPORT gp_Vec | ScaleFactor () const
Standard_EXPORT void | SetScaleOrientation (const Vrml_SFRotation &aScaleOrientation)
Standard_EXPORT Vrml_SFRotation | ScaleOrientation () const
Standard_EXPORT void | SetCenter (const gp_Vec &aCenter)
Standard_EXPORT gp_Vec | Center () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

gp_Vec | myTranslation
Vrml_SFRotation | myRotation
gp_Vec | myScaleFactor
Vrml_SFRotation | myScaleOrientation
gp_Vec | myCenter

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Transform::Vrml_Transform | ( |  | ) |

Standard_EXPORT Vrml_Transform::Vrml_Transform | ( | const gp_Vec & | aTranslation,
|  | const Vrml_SFRotation & | aRotation,
|  | const gp_Vec & | aScaleFactor,
|  | const Vrml_SFRotation & | aScaleOrientation,
|  | const gp_Vec & | aCenter
| ) |

## Member Function Documentation

Standard_EXPORT gp_Vec Vrml_Transform::Center | ( |  | ) | const

void Vrml_Transform::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Transform::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Transform::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Transform::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Vrml_SFRotation Vrml_Transform::Rotation | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_Transform::ScaleFactor | ( |  | ) | const

Standard_EXPORT Vrml_SFRotation Vrml_Transform::ScaleOrientation | ( |  | ) | const

Standard_EXPORT void Vrml_Transform::SetCenter | ( | const gp_Vec & | aCenter | ) |

Standard_EXPORT void Vrml_Transform::SetRotation | ( | const Vrml_SFRotation & | aRotation | ) |

Standard_EXPORT void Vrml_Transform::SetScaleFactor | ( | const gp_Vec & | aScaleFactor | ) |

Standard_EXPORT void Vrml_Transform::SetScaleOrientation | ( | const Vrml_SFRotation & | aScaleOrientation | ) |

Standard_EXPORT void Vrml_Transform::SetTranslation | ( | const gp_Vec & | aTranslation | ) |

Standard_EXPORT gp_Vec Vrml_Transform::Translation | ( |  | ) | const

## Field Documentation

gp_Vec Vrml_Transform::myCenter `[private]`

Vrml_SFRotation Vrml_Transform::myRotation `[private]`

gp_Vec Vrml_Transform::myScaleFactor `[private]`

Vrml_SFRotation Vrml_Transform::myScaleOrientation `[private]`

gp_Vec Vrml_Transform::myTranslation `[private]`

The documentation for this class was generated from the following file:

- Vrml_Transform.hxx